%define url_ver %(echo %{version} | cut -d "." -f -2)

Name:		regexxer
Summary:	Interactive search and replace tool
Version:	0.10
Release:	%mkrel 8
Group:		Text tools
License:	GPLv2+
Url:		http://www.gnome.org
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		regexxer-0.10-buildfix.patch
Patch1:		regexxer-0.10-glib2.patch
Patch2:		regexxer-0.10-gettext-macro.patch
Patch3:		0001-Replace-usage-of-deprecated-APIs.patch
BuildRequires:	intltool
#for gtk-update-icon-cache
BuildRequires:	gtk+2
BuildRequires:	gnome-common
BuildRequires:	pkgconfig(gtkmm-3.0) >= 3.0.0
BuildRequires:	pkgconfig(glibmm-2.4) >= 2.27.94
BuildRequires:	pkgconfig(gtksourceviewmm-3.0) >= 2.91.5

%description
regexxer is a nifty search/replace tool for the desktop user.

%prep
%setup -q
%autopatch -p1

%build
export CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -std=c++11"
NOCONFIGURE=yes gnome-autogen.sh
%configure2_5x \
	--disable-schemas-compile
%make

%install
%makeinstall_std

%find_lang %{name}

%files -f %{name}.lang
%doc README NEWS AUTHORS
%{_bindir}/regexxer
%{_datadir}/regexxer
%{_datadir}/applications/regexxer.desktop
%{_datadir}/glib-2.0/schemas/org.regexxer.gschema.xml
%{_datadir}/icons/hicolor/*/apps/regexxer.*


%changelog
* Sun Oct 09 2016 wally <wally> 0.10-8.mga6
+ Revision: 1059842
- add patch from upstream to fix deprecated API usage (mga#19556)

* Tue Feb 16 2016 umeabot <umeabot> 0.10-7.mga6
+ Revision: 962716
- Mageia 6 Mass Rebuild

* Thu Oct 29 2015 tv <tv> 0.10-6.mga6
+ Revision: 896293
- add -stdc=gnu89 to CXXFLAGS

* Wed Oct 15 2014 umeabot <umeabot> 0.10-6.mga5
+ Revision: 745292
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10-5.mga5
+ Revision: 688647
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 fwang <fwang> 0.10-4.mga4
+ Revision: 536900
- fix gettext usage

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 19 2013 fwang <fwang> 0.10-3.mga3
+ Revision: 389689
- autogen
- autoreconf
- more patch
- fix build with latest glib

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + ovitters <ovitters>
    - clean spec

* Thu Oct 06 2011 wally <wally> 0.10-1.mga2
+ Revision: 152517
- imported package regexxer

